Bug 1265622 - 'dnf builddep' is not always as 'clever' as yum-builddep or dnf download --source
'dnf builddep' is not always as 'clever' as yum-builddep or dnf download --so...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Mráka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 07:24 EDT by Thorsten Kohfeldt
Modified: 2015-10-23 13:20 EDT (History)
14 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.13-1.fc23 dnf-plugins-core-0.1.13-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1074585
Environment:
Last Closed: 2015-10-17 11:51:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Kohfeldt 2015-09-23 07:24:04 EDT
+++ This bug was initially created as a clone of Bug #1074585 +++
Quote: "dnf-plugins-core-0.1.7-1.fc22, hawkey-0.5.5-1.fc22, dnf-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report."

There seems to be at least one remaining deficiency:

Running

  $ dnf builddep qemu-system-x86

FAILS in the following way:

# dnf builddep qemu-system-x86
enabling fedora-source repository
enabling updates-source repository
Last metadata expiration check performed 0:30:25 ago on Wed Sep 23 10:37:48 2015.
no package matched: qemu-system-x86
Error: Some packages could not be found.
#


DNF versions:
 
# rpm -qa | grep 'dnf-plugins-core\|^dnf-[0-9]\|hawkey
python-dnf-plugins-core-0.1.11-1.fc22.noarch
dnf-1.1.1-2.fc22.noarch
hawkey-0.6.0-1.fc22.x86_64
dnf-plugins-core-0.1.11-1.fc22.noarch
python-hawkey-0.6.0-1.fc22.x86_64
#


ADDITIONAL INFORMATION / guess of the underlying problem:

'yum-builddep qemu-system-x86' (from package yum-utils) succeeds

'dnf download --source qemu-system-x86' downloads qemu-2.3.1-3.fc22.src.rpm

These 2 successes hint at the 'hidden trouble':
'dnf builddep' seems to lack the ability to 'conclude' that the source rpm for qemu-system-x86 is actually qemu-<version>.src.rpm and NOT qemu-system-x86-<version>.src.rpm !
Comment 1 Michael Mráka 2015-09-24 09:16:48 EDT
Proposed fix
https://github.com/rpm-software-management/dnf-plugins-core/pull/117
Comment 2 Fedora Update System 2015-10-14 12:59:58 EDT
dnf-1.1.3-1.fc23 dnf-plugins-extras-0.0.11-1.fc23 dnf-plugins-core-0.1.13-1.fc23 hawkey-0.6.2-1.fc23 libsolv-0.6.14-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a011ac001a
Comment 3 Fedora Update System 2015-10-14 13:02:08 EDT
dnf-1.1.3-1.fc22 dnf-plugins-extras-0.0.11-1.fc22 dnf-plugins-core-0.1.13-1.fc22 hawkey-0.6.2-1.fc22 libsolv-0.6.14-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-02efefba0e
Comment 4 Fedora Update System 2015-10-14 18:52:14 EDT
dnf-1.1.3-1.fc23, dnf-plugins-core-0.1.13-1.fc23, dnf-plugins-extras-0.0.11-1.fc23, hawkey-0.6.2-1.fc23, libsolv-0.6.14-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf-plugins-extras dnf libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a011ac001a
Comment 5 Fedora Update System 2015-10-15 01:51:53 EDT
dnf-1.1.3-1.fc22, dnf-plugins-core-0.1.13-1.fc22, dnf-plugins-extras-0.0.11-1.fc22, hawkey-0.6.2-1.fc22, libsolv-0.6.14-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf-plugins-extras dnf libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-02efefba0e
Comment 6 Fedora Update System 2015-10-17 11:51:14 EDT
dnf-1.1.3-1.fc23, dnf-plugins-core-0.1.13-1.fc23, dnf-plugins-extras-0.0.11-1.fc23, hawkey-0.6.2-1.fc23, libsolv-0.6.14-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-23 13:19:43 EDT
dnf-1.1.3-1.fc22, dnf-plugins-core-0.1.13-1.fc22, dnf-plugins-extras-0.0.11-1.fc22, hawkey-0.6.2-1.fc22, libsolv-0.6.14-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.